Thursday, 19 November 2015

New IDE package

Hi,

I am happy to announce that we have just released the new Ubuntu SDK IDE
packages.

Important changes in this release:

- All the Qt dependencies are removed. The IDE brings everything it
needs to its own namespace
- Based on Qt 5.4.2
- Built from QtCreator 3.5 release
- Completely same codebase, UX and development flow from LTS 14.04 to
the development release 16.04
- Comes with a desktop Kit what contains the most relevant APIs for the
latest Ubuntu Phone release
- Comes with optional static chroots (ubuntu-sdk-api-15.04-armhf and
ubuntu-sdk-api-15.04-i386)
- Massive number of bugfixes and improvements.

To get this new release all you need to do is this:

sudo sudo apt update && sudo apt dist-upgrade

If you are new to the Ubuntu SDK, please add the SDK PPA to your system
and install like this:

sudo add-apt-repository ppa:ubuntu-sdk-team/ppa \
&& sudo apt update \
&& sudo apt dist-upgrade \
&& sudo apt install ubuntu-sdk

This new IDE is a full replacement of the old QtCreator packages so feel
free to remove them manually:

sudo apt-get remove qtcreator qtcreator-plugin*


More explanations why we just did that:
https://developer.ubuntu.com/en/blog/2015/11/19/here-comes-brand-new-ubuntu-sdk-ide-tools/


Enjoy and please give us feedback here or on IRC

cheers,

bzoltan & zbenjamin

--
ubuntu-devel mailing list
[email protected]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-devel